// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997 - 2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	caloaldefs_c.cc --- implementation of f90/C++ I/F to caloaldefs
//
//	DESCRIPTION:
//		see caloaldefs.f90
//
//	CHANGE HISTORY:
//		UL, 2001-07-25: 1.0.0: - first version
//
//	AUTHOR:
//		U. Lammers,	Thu Jul 26 17:06:46 MET DST 2001
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al.,
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/caloaldefs_c.cc,v 1.2 2004/08/04 12:18:14 rsaxton Exp $
//

#include "Xmm.h"
#include "common.h"
#include "f90cxx.h"

extern "C" {

Integer3 CXXFUNC(ccdtohbr, ccdToHBR)(Integer3 *ccd)
{
	return xmmPayLoad.emos1.toHBR(Ccd(*ccd));
}

}
